#
# Copyright(C) 2010-2013, Asio Software Technologies
#
# This is free software, licensed under the GNU General Public License v2.
# See COPYING in the top level directory for more information.
#

FORCE+=config config/clean menuconfig nconfig oldconfig

.config:
	@echo "Please run 'make config/menuconfig/nconfig' to create a configuration first!"
	@echo "Then run 'make' again to begin compilation..."
	@exit 1

config/kconfig/conf:
	@$(MAKE) -s -C config/kconfig conf

config/kconfig/mconf:
	@$(MAKE) -s -C config/kconfig mconf

config/kconfig/nconf:
	@$(MAKE) -s -C config/kconfig nconf

config: config/kconfig/conf
	@config/kconfig/conf config/config.in

menuconfig: config/kconfig/mconf
	@config/kconfig/mconf config/config.in

nconfig: config/kconfig/nconf
	@config/kconfig/nconf config/config.in

oldconfig: config/kconfig/conf
	@config/kconfig/conf --oldconfig config/config.in

config/clean:
	@$(MAKE) -s -C config/kconfig clean
