#
# Copyright(C) 2010-2013, Asio Software Technologies
#
# This is free software, licensed under the GNU General Public License v2.
# See COPYING in the top level directory for more information.
#

-include $(TOPDIR)/.config

kagera/build: openwrt/prepare
	@if [ "$(CONFIG_KAGERA_OPEN_OPENWRT_CONFIG)" == "y" ]; then \
		cd $(TOPDIR)/temp/build/$(TARGET_ARCH); \
		$(MAKE) -s menuconfig; \
	fi
	@if [ "$(CONFIG_KAGERA_OPEN_KERNEL_CONFIG)" == "y" ]; then \
		cd $(TOPDIR)/temp/build/$(TARGET_ARCH); \
		$(MAKE) -s kernel_menuconfig; \
	fi
	@if [ "$(CONFIG_KAGERA_VERBOSE_BUILD)" == "y" ]; then \
		cd $(TOPDIR)/temp/build/$(TARGET_ARCH); \
		$(MAKE) V=99 -j$(CONFIG_KAGERA_BUILD_JOBS) | tee $(TOPDIR)/temp/$(CONFIG_TARGET_ARCH).log; \
	else \
		cd $(TOPDIR)/temp/build/$(TARGET_ARCH); \
		$(MAKE) -j$(CONFIG_KAGERA_BUILD_JOBS); \
	fi
	@rm -f $(TOPDIR)/binaries/$(TARGET_ARCH)/packages/*
	@cp -f $(TOPDIR)/temp/build/$(TARGET_ARCH)/bin/$(TARGET_ARCH)/packages/* $(TOPDIR)/binaries/$(TARGET_ARCH)/packages/
	@IMAGES="`cat $(TOPDIR)/targets/$(TARGET_ARCH)/profiles/$(TARGET_BOARD)/images 2>/dev/null`"; \
	for IMAGE in $$IMAGES; do \
		FILES="`ls -d $(TOPDIR)/temp/build/$(TARGET_ARCH)/bin/$(TARGET_ARCH)/*$$IMAGE* 2>/dev/null | sed 's/^.*\///g'`"; \
		for FILE in $$FILES; do \
			if [ -d $(TOPDIR)/temp/build/$(TARGET_ARCH)/bin/$(TARGET_ARCH)/$$FILE ]; then \
				continue; \
			fi; \
			NAME="`echo $$FILE | sed -e 's/openwrt/kagera/g' -e 's/-generic-/-/g'`"; \
			cp -f $(TOPDIR)/temp/build/$(TARGET_ARCH)/bin/$(TARGET_ARCH)/$$FILE $(TOPDIR)/binaries/$(TARGET_ARCH)/$$NAME; \
		done; \
	done
	@cd $(TOPDIR)/binaries/$(TARGET_ARCH); \
	md5sum -b kagera-* > ./md5sums

kagera/prepare:
	@if [ ! -d $(TOPDIR)/targets/$(TARGET_ARCH)/profiles/$(TARGET_BOARD) ]; then \
		echo "Using an incomplete target. Please check Kagera installation..."; \
		exit 3; \
	fi
	@mkdir -p $(TOPDIR)/binaries/$(TARGET_ARCH)/packages
	@mkdir -p $(TOPDIR)/temp/build
	@mkdir -p $(TOPDIR)/temp/download
